@charset "UTF-8";

@media (max-width: 1023px) {
  html {
    font-size: calc(100vw / 375 * 10);
  }

  h2, .h2 {
    font-size: 2.8rem;
    letter-spacing: -0.056rem;
  }

  h3, .h3 {
    font-size: 2.4rem;
  }

  h4, .h4 {
    font-size: 2rem;
  }

  .main-wrapper {
    gap: 6rem;
    padding-bottom: 6rem;
  }

  .button {
    font-size: 1.4rem;
    text-wrap: nowrap;
  }

  .page-wrapper {
    padding: 0 1.5rem;
  }

  .header__buttons__container .button--header-order {
    display: flex;
    margin-left: 0.5rem;
  }

  .header__search {
    display: none;
  }

  .header__middle {
    gap: 1.8rem;
    justify-content: space-between;
  }

  .button--header-cart span:last-child {
    display: none;
  }

  .header__logo svg {
    width: 12.6rem;
    height: 4.8rem;
  }

  .header__buttons__container {
    padding: 1.2rem 1.5rem;
    gap: 1rem;
  }

  .header__buttons__container .button {
    gap: 0;
  }

  .header .button--primary__wrapper {
    display: flex;
    gap: 0.3rem;
  }

  .header .header__order {
    display: none;
  }

  .header__buttons__container svg {
    width: 1.8rem;
    height: 1.8rem;
  }

  .header__contacts {
    display: none;
  }

  .header__order {
    display: none;
  }

  .header__bottom {
    display: none;
  }

  .header__middle {
    padding: 0;
  }

  .header__top {
    display: none;
  }

  .header {
    padding-block: 1.2rem;
    margin-inline: -1.5rem;
    padding-inline: 1.5rem;

    box-shadow: 0 0 8px 0 rgba(102, 118, 138, 0.20);
  }

  .button--burger-menu {
    display: flex;
    padding: 1.2rem 1.45rem;
  }

  .button--burger-menu svg {
    width: 1.8rem;
    height: 1.8rem;
  }

  .button--header-cart__value {
    font-size: 1rem;
    padding: 0.1rem 0.55rem;
    margin: 0;
  }

  .main-catalog__top {
    flex-direction: column;
    font-size: 1.4rem;
    gap: 2rem;
    margin-bottom: 2.5rem;
  }

  .main-catalog__list {
    grid-template-columns: 1fr;
    gap: 1rem;
  }

  .main-catalog__top div {
    gap: 1rem;
  }

  .main-catalog__top div > span {
    margin-bottom: 1rem;
  }

  .main-catalog__item {
    font-size: 1.5rem;
    width: 100%;
  }

  .button--main-catalog__show-all {
    display: flex;
    padding-block: 1.65rem;
    width: 100%;
  }

  .main-catalog__list .button--primary__wrapper {
    width: 100%;
  }

  .main-catalog__list .main-catalog__item:nth-child(n+6) {
    display: none;
  }

  .main-catalog__list.show-all .main-catalog__item {
    display: flex;
  }

  .main-catalog__list > .button--primary__wrapper {
    display: flex !important;
  }

  .main-catalog__list.show-all .button--primary__wrapper:last-child {
    order: 999;
  }

  .service {
    gap: 1rem;
  }

  .service--top__wrapper, .service--bottom__wrapper {
    grid-template-columns: 1fr;
  }

  .service__dealer {
    padding: 2.5rem;
    gap: 2rem;
    background: #FFD674;
  }

  .service__dealer p {
    font-size: 1.4rem;
  }

  .service__button {
    width: 100%;
    padding-block: 1.65rem;
  }

  .service__software {
    background: #66768A;
    grid-row: 1;
    padding: 2.5rem;
    gap: 2rem;
  }

  .service__software .button--primary {
    width: 100%;
  }

  .service__centers__icon {
    display: none;
  }

  .service__centers__title {
    padding: 2.5rem;
  }

  .service__centers__list ul {
    grid-template-columns: 1fr;
  }

  .service__centers__item span:first-child {
    font-size: 1.6rem;
  }

  .service__centers__item span:last-child {
    font-size: 1.4rem;
  }

  .service__services__list ul {
    display: flex;
    flex-direction: row;
    overflow-x: scroll;
  }

  .service__services__item {
    flex-shrink: 0;
    width: 20rem;
  }

  .service__services__title {
    flex-direction: column;
    padding: 2.5rem;
    align-items: start;
    gap: 2rem;
  }

  .service__services__title > span {
    font-size: 1.4rem;
  }

  .service__services {
    overflow: hidden;
  }

  .service__services__item__icon {
    margin-block: 5.2rem;
  }

  .service__services__item span {
    font-size: 1.2rem;
  }

  .service__services__item h4 {
    font-size: 1.6rem;
  }

  .news {
    gap: 2.5rem;
  }

  .news__list {
    overflow: hidden;
    margin-inline: -1.5rem;
  }

  .news__list ul {
    overflow-x: scroll;
  }

  .news__list li:first-child {
    padding-left: 1.5rem;
  }

  .news__list li:last-child {
    padding-right: 1.5rem;
  }

  .news__item__picture {
    width: 20rem;
    height: 10.3rem;
  }

  .news__item__title {
    font-size: 1.6rem;
    -webkit-line-clamp: 3;
    line-clamp: 3;
  }

  .news__item__date {
    margin-top: auto;
  }

  .news__item {
    gap: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: start;
    height: 20.4rem;
  }

  .goods {
    gap: 5rem;
  }

  .goods__item__title {
    -webkit-line-clamp: 3;
    line-clamp: 3;
    height: 6.2rem;
    font-size: 1.4rem;
  }

  .goods__item__art {
    font-size: 1.2rem;
  }

  .goods__item__image img {
    width: 14.7rem;
    height: 14.7rem;
  }

  .goods__item__image {
    padding: 1rem;
  }

  .goods__item__buttons .button--primary__wrapper {
    flex-direction: column;
    width: 100%;
  }

  .goods__item {
    padding: 0;
    gap: 1rem;
  }

  .goods__list {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1rem;
  }

  .goods__item__buttons .button {
    width: 100%;
    height: unset;
    padding: 1.05rem;
    gap: 0.3rem;
  }

  .goods__item__price {
    flex-direction: column;
    align-items: start;
    font-size: 1.6rem;
    gap: 0.3rem;
  }

  .goods__item__price--old {
    font-weight: 400;
  }

  .goods__item__chars {
    padding: 1rem;
  }

  .goods__item__char {
    font-size: 1.2rem;
  }

  .materials__list ul {
    grid-template-columns: 1fr;
  }

  .materials__top {
    padding: 2.5rem;
    flex-direction: column;
    align-items: start;
    gap: 2rem;
  }

  .materials__item a {
    gap: 1.5rem;
  }

  .materials__top > span {
    font-size: 1.4rem;
  }

  .materials__item span:first-child {
    font-size: 1.6rem;
  }

  .materials__item span:last-child {
    font-size: 1.2rem;
  }

  .materials__item__icon {
    width: 3.8rem;
    height: 3.8rem;
  }

  .footer {
    padding-top: 2.5rem;
  }

  .footer__info {
    gap: 2rem;
    font-size: 1.4rem;
    padding-bottom: 2rem;
    border-bottom: 1px solid rgba(102, 118, 138, 0.20);
  }

  .footer__contacts__address {
    font-size: 1.4rem;
  }

  .footer__top {
    grid-template-columns: 1fr;
  }

  .footer__links__list {
    display: block;
    column-count: 2;
    break-inside: avoid;
  }
  .footer__links__list li {
    margin-bottom: 2rem;
    font-size: 1.6rem;
    order: 0 !important;
  }
  .footer__links__col {
    flex: 1;
    min-width: 0;
  }
  .footer__links__item a, .footer__links__item button {
    font-size: 1.6rem;
  }

  .catalog-all__wrapper {
    grid-template-columns: 1fr;
  }

  .sorting__title {
    display: none;
  }

  .catalog-all {
    grid-template-columns: repeat(2, 1fr);
  }

  .button--filter-list, .button--filter-grid {
    padding: 1.3rem 1.8rem 1.1rem;
  }

  .catalog-all__sorting {
    padding-bottom: 2.5rem;
  }

  .sidebar .service__dealer {
    display: none;
    width: 100%;
  }

  .button--primary__wrapper--filter, .button--open-filter {
    display: flex;
    width: 100%;
  }

  .filter__wrapper {
    padding: 0;
    display: none;
  }

  .goods:has(.catalog-all__wrapper) {
    gap: 2.5rem;
  }

  .catalog-all__wrapper {
    gap: 1rem;
  }

  .catalog-all__sidebar {
    width: 100%;
  }

  .main-slider .swiper {
    width: calc(100vw - 3rem);
    height: 42.6rem;
  }

  .main-slider .slide__content {
    padding: 0 0 0 2rem;
    gap: 2rem;
  }

  .main-slider .slide__subtitle {
    margin: 0;
    font-size: 2rem;
  }

  .main-slider .slide__title {
    font-size: 2.8rem;
  }

  .main-slider .slide__title__big {
    font-size: 5.8rem;
  }

  .main-slider .slider__button {
    padding: 1.05rem 1.5rem;
  }

  .main-slider .swiper-button-prev, .main-slider .swiper-button-next {
    top: unset !important;
    bottom: 1.5rem;
  }

  .main-slider .swiper .swiper-button-next--bg svg,
  .main-slider .swiper .swiper-button-prev--bg svg {
    width: 1.6rem;
    height: 1.6rem;
  }

  .main-slider .swiper .swiper-button-next--bg,
  .main-slider .swiper .swiper-button-prev--bg {
    width: 4rem;
    height: 4rem;
  }

  .main-slider .swiper .swiper-button-next,
  .main-slider .swiper .swiper-button-prev {
    width: 5rem;
    height: 5rem;
  }

  .main-slider .swiper-pagination-bullet {
    width: 2.4rem !important;
    height: 2.4rem !important;
  }

  .main-slider .swiper-pagination-bullet::after {
    width: 0.6rem;
    height: 0.6rem;
  }

  .main-slider .swiper-pagination {
    gap: 0.3rem;
  }

  .hit {
    font-size: 1.4rem;
    padding: 0.3rem 1rem;
  }

  .tag {
    padding: 1rem 1.5rem;
    font-size: 1.4rem;
  }

  .category__tags ul {
    overflow-x: scroll;
    max-width: 100vw;
    margin-left: -1.5rem;
    padding-left: 1.5rem;
    margin-right: -1.5rem;
  }

  .breadcrumbs {
    font-size: 1.4rem;
    text-wrap: nowrap;
  }

  .breadcrumbs__list {
    overflow-x: scroll;
    width: calc(100vw - 3rem);
  }
  /*TODO првоерить скролл кнопок*/

  .breadcrumbs__item:not(:last-child) {
    padding: 0 2rem 0 0;
  }

  .category__desc {
    display: none;
  }

  .category-wrapper {
    padding-top: 1.5rem;
    padding-bottom: 6rem;
  }

  .category__top {
    gap: 2rem;
    padding-bottom: 2rem;
  }

  .category__tags__item:last-child {
    margin-right: 1.5rem;
  }

  .category-wrapper .goods h2 {
    display: block;
  }

  .good-hit {
    font-size: 1rem !important;
    top: 0;
    left: 0;
  }

  .catalog-all__bottom {
    padding: 2.5rem;
    gap: 2.5rem;
  }

  .catalog__description {
    display: none;
  }

  .good__content {
    display: flex;
    flex-direction: column;
  }

  .good__image__slider .good__image__wrapper {
    width: 34.5rem;
    height: 34.5rem;
  }

  .good__image__slider {
    flex-direction: column-reverse;
    align-items: start;
  }

  .good__image__slider .good__slider-wrapper {
    flex-direction: row;
  }

  .good__image__slider .swiper-wrapper {
    flex-direction: row;
    gap: 0;
  }

  .good__image__slider .good__slider {
    width: 35rem;
    height: min-content;
  }

  .good__image__slider .swiper-slide {
    width: 8rem !important;
    height: 8rem !important;
    margin-right: 1rem !important;
  }

  .good__characteristics {
    order: 3;
    padding-right: 0;
  }

  .good__image__slider .good__slider-prev, .good__image__slider .good__slider-next {
    display: none;
  }

  .good__char {
    font-size: 1.4rem;
    grid-template-columns: 17.2rem auto;
  }

  .good__characteristics h3 {
    padding-block: 1rem;
  }

  .good__info__wrapper {
    grid-template-columns: 1fr;
    gap: 1rem;
  }

  .good__extra-options__list, .similar-goods__list {
    grid-template-columns: repeat(2, 1fr);
  }

  .button--instruction {
    text-wrap: wrap;
  }

  .good__order__price {
    font-size: 2rem;
  }

  .good__order__art, .good__order__price--old {
    font-size: 1.4rem;
  }

  .good__order__info {
    font-size: 1.2rem;
  }

  .good__order__art {
    margin-bottom: 1rem;
  }

  .button--fast-order svg {
  }

  .good__order__buttons {
    grid-template-columns: auto 5.4rem;
  }

  .good__order__buttons span:last-child {
    font-size: 1.4rem;
    padding-block: 1.65rem;
  }

  .good__order__extra-buttons button {
    padding-block: 1.05rem;
  }

  .similar-goods, .good__extra-options, .good__info {
    gap: 2rem;
  }

  .good__info__about {
    padding-right: 0;
    font-size: 1.4rem;
    gap: 1rem;
  }

  .category__desc__main {
    display: none;
  }

  .catalog-scale__top {
    gap: 2rem;
    padding-block: 2rem;
  }

  .scale-configurator {
    padding-block: 2rem;
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .scale-configurator__image-container {
    width: 34.5rem;
    height: 34.5rem;
  }

  .scale-configurator__group-list {
    flex-wrap: nowrap;
    overflow-x: scroll;
    margin-inline: -1.5rem;
    padding-inline: 1.5rem;
  }

  .scale-configurator__group {
    gap: 1rem;
  }

  .scale-configurator__buttons {
    flex-direction: column;
    width: 100%;
  }

  .scale-configurator__buttons button {
    width: 100% !important;
  }

  .scale-sidebar__list {
    display: flex;
    flex-direction: row;
  }

  .scale-sidebar__item {
    text-wrap: nowrap;
  }

  .scale-center {
    grid-template-columns: 1fr;
  }

  .scale-sidebar {
    overflow-x: scroll;
  }

  .scale-info__grid {
    grid-template-columns: 1fr;
    gap: 1rem;
  }

  .scale-info__text {
    width: calc(100vw - 3rem);
    gap: 1rem;
  }

  .scale-info {
    font-size: 1.4rem;
    gap: 2rem;
  }

  .scale-info h2 {
    padding-top: 1.5rem;
  }

  .scale-accessories-table__cell, .scale-accessories-table__price {
    padding: 1rem 1.5rem;
  }

  .scale-accessories-table__image-cell {
    padding-block: 1rem;
  }

  .scale-accessories-table__image img, .scale-accessories-table__image source {

  }

  .scale-accessories-table {
    width: 88.6rem;
  }

  .scale-accessories-table__price {
    text-wrap: nowrap;
  }

  .scale-accessories-table__col col:nth-child(odd) {
    width: 18rem !important;
  }

  .scale-accessories-table__col col:nth-child(even) {
    width: 11rem !important;
  }

  .scale-accessories-table-2__col col {
    width: 14.2rem !important;
  }
  .scale-accessories-table-2__col col:first-child {
    width: 20rem !important;
  }

  .scale-accessories-table__cell.text-500 {
    padding-block: 1.8rem;
  }

  .scale-accessories-table-2 .scale-accessories-table__heading {
    padding: 1rem 1.5rem;

  }

  .scale-accessories-table__heading {
    font-size: 1.5rem;
  }

  .scale-accessories-table-2 .scale-accessories-table__heading:first-child {
    text-align: left;
  }

  .scale-contact {
    gap: 1rem;
  }

  .scale-contact .title {
    font-size: 1.6rem;
  }

  .catalog-scale-wrapper {
    padding-top: 0;
  }

  .catalog-scale__top {
    padding-top: 1.5rem;
  }
  .scale-accessories-table-2__wrapper {
    overflow-x: scroll;
  }
  .scale-accessories-table__wrapper, .scale-accessories-table-2__wrapper {
    margin-inline: -1.5rem;
    padding-inline: 1.5rem;
  }
  .good__info__wrapper h4,
  .good__info__cats h4,
  .good__downloads h4 {
    padding-bottom: 1rem;
  }
  .good__info__wrapper h4:not(:first-child),
  .good__info__cats h4,
  .good__downloads h4 {
    padding-top: 2.5rem;
  }
  .good__info__cats, .good__downloads {
    gap: 1rem;
  }
  .extra {
    font-size: 1rem;
    padding: 0.3rem 1rem;
  }
  .good-extra {
    top: 0;
    left: 0;
  }
  .scale-sidebar__item {
    line-height: 0;
  }
  .scale-sidebar__list {
    border-bottom: 1px solid rgba(102, 118, 138, 0.20);
    padding-bottom: 2rem;
  }
  .scale-center {
    padding-top: 2rem;
    gap: 2rem;
  }
  .scale-info__block {
    gap: 2rem;
  }
  .scale-el-prom__grid h2 {
    padding: 0;
  }
  .scale-el-prom__grid {
    grid-template-columns: 1fr;
  }
  .scale-el-prom__grid__image-container source, .scale-el-prom__grid__image-container img, .scale-el-prom__grid__image-container{
    width: 34.5rem;
    height: auto;
  }
  .scale-el-prom__grid {
    padding-bottom: 2rem;
  }
  .scale-el-prom__list {
    grid-template-columns: 1fr;
  }
  .scale-el-prom__item {
    gap: 1rem;
  }
  .scale-el-prom__item-type {
    grid-template-columns: 1fr;
    padding-bottom: 2rem;
    gap: 1rem;
  }
  .scale__form {
    grid-template-columns: 1fr;
    gap: 0.5rem;
    padding-top: 1rem;
  }
  .form__text, .scale__form textarea {
    grid-column: unset;
  }
  .scale__form textarea {
    padding: 1rem;
    font-size: 1.4rem;
  }
  .scale__form input {
    padding: 1.35rem 1rem;
    font-size: 1.4rem;
  }
  .button--order {
    padding-block: 1.05rem;
  }
  .form__text {
    font-size: 1.2rem;
  }
  .scale-info__text-grid-4 {
    gap: 2rem;
  }
  .top-block {
    display: none;
  }
}